Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class Population

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.Population

public class Population
extends java.lang.Object

Population
Cette classe permet de manipuler les informations relatives à la population d'un intranet
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`Population()` Constructeur

Method Summary
`java.util.Collection` | `getGroups()` Les groupes constitutifs de cette population
`java.lang.String` | `getIntranet()` L'intranet auquel est rattachée cette population
`java.util.Collection` | `getUsers()` Les utilisateurs constitutifs de cette population
`void` | `setGroups(java.util.Collection groups)` Les groupes constitutifs de cette population
`void` | `setIntranet(java.lang.String intranet)` L'intranet auquel est rattachée cette population
`void` | `setUsers(java.util.Collection users)` Les utilisateurs constitutifs de cette population

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Population

    public Population()

  Constructeur

Method Detail

### getGroups

    public java.util.Collection getGroups()

  Les groupes constitutifs de cette population

  Returns:

### setGroups

    public void setGroups(java.util.Collection groups)

  Les groupes constitutifs de cette population

  Parameters:
    `groups` -

### getUsers

    public java.util.Collection getUsers()

  Les utilisateurs constitutifs de cette population

  Returns:

### setUsers

    public void setUsers(java.util.Collection users)

  Les utilisateurs constitutifs de cette population

  Parameters:
    `users` -

### getIntranet

    public java.lang.String getIntranet()

  L'intranet auquel est rattachée cette population

  Returns:

### setIntranet

    public void setIntranet(java.lang.String intranet)

  L'intranet auquel est rattachée cette population

  Parameters:
    `intranet` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD